com.google.gwt.user.client.ui

## Class ListenerWrapper.WrappedTreeListener

- java.lang.Object
- - com.google.gwt.user.client.BaseListenerWrapper<T>
  - - com.google.gwt.user.client.ui.ListenerWrapper<TreeListener>
    - - com.google.gwt.user.client.ui.ListenerWrapper.WrappedTreeListener

- All Implemented Interfaces:
    CloseHandler<TreeItem>, OpenHandler<TreeItem>, SelectionHandler<TreeItem>, EventHandler
  Enclosing class:
    ListenerWrapper<T>

      static class ListenerWrapper.WrappedTreeListener
      extends ListenerWrapper<TreeListener>
      implements SelectionHandler<TreeItem>, CloseHandler<TreeItem>, OpenHandler<TreeItem>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.ListenerWrapper

      `ListenerWrapper.WrappedChangeListener, ListenerWrapper.WrappedClickListener, ListenerWrapper.WrappedFocusListener, ListenerWrapper.WrappedKeyboardListener, ListenerWrapper.WrappedLoadListener, ListenerWrapper.WrappedLogicalChangeListener<V>, ListenerWrapper.WrappedMouseListener, ListenerWrapper.WrappedMouseWheelListener, ListenerWrapper.WrappedOldDisclosureHandler, ListenerWrapper.WrappedOldFormHandler, ListenerWrapper.WrappedOldSuggestionHandler, ListenerWrapper.WrappedPopupListener, ListenerWrapper.WrappedScrollListener, ListenerWrapper.WrappedTableListener, ListenerWrapper.WrappedTabListener, ListenerWrapper.WrappedTreeListener`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `add(Tree tree, TreeListener listener)` Deprecated. will be removed in GWT 2.0 along with the listener classes
    `void` | `onClose(CloseEvent<TreeItem> event)` Called when `CloseEvent` is fired.
    `void` | `onOpen(OpenEvent<TreeItem> event)` Called when `OpenEvent` is fired.
    `void` | `onSelection(SelectionEvent<TreeItem> event)` Called when `SelectionEvent` is fired.
    `static void` | `remove(Widget eventSource, TreeListener listener)`

    - ### Methods inherited from class com.google.gwt.user.client.ui.ListenerWrapper

      `baseRemove, getSource, setSource`

    - ### Methods inherited from class com.google.gwt.user.client.BaseListenerWrapper

      `baseRemove, getListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### add

          @Deprecated
          public static void add(Tree tree,
                                             TreeListener listener)

      Deprecated. will be removed in GWT 2.0 along with the listener classes

    - #### remove

          public static void remove(Widget eventSource,
                                    TreeListener listener)

    - #### onClose

          public void onClose(CloseEvent<TreeItem> event)

      Description copied from interface: `CloseHandler`
      Called when `CloseEvent` is fired.
      Specified by:
        `onClose` in interface `CloseHandler<TreeItem>`
      Parameters:
        `event` - the `CloseEvent` that was fired

    - #### onOpen

          public void onOpen(OpenEvent<TreeItem> event)

      Description copied from interface: `OpenHandler`
      Called when `OpenEvent` is fired.
      Specified by:
        `onOpen` in interface `OpenHandler<TreeItem>`
      Parameters:
        `event` - the `OpenEvent` that was fired

    - #### onSelection

          public void onSelection(SelectionEvent<TreeItem> event)

      Description copied from interface: `SelectionHandler`
      Called when `SelectionEvent` is fired.
      Specified by:
        `onSelection` in interface `SelectionHandler<TreeItem>`
      Parameters:
        `event` - the `SelectionEvent` that was fired